/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Oct-30-2011 08:24:13pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Quests\Quest Givers\WheresMyGrizzyQuest.cs
Lines of code: 31
***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class WheresMyGrizzyQuest : BaseQuest
	{					
		public override bool ForceRemember{ get{ return true; } }
		
		public override object Title{ get{ return "Where's my Grizzy?"; } }
		
		public override object Description{ get{ return "Hey there! Can you help me find my way back? I came here with Grizelda but I wandered off and now I can't find her."; } }
		
		public override object Refuse{ get{ return "Okay, I'll eventually wander back to Grizelda. Thanks anyways."; } }
		
		public override object Uncomplete{ get{ return "Grizelda should be in Wormwood somewhere."; } }
		
		public override object Complete{ get{ return "Thank you so much for bringing me back to Grizelda. I spotted an ancient cauldron while wandering about, maybe you'll have a use for it. I wrote down everything I know on this scroll"; } }
				
		public WheresMyGrizzyQuest() : base()
		{								
			AddObjective( new EscortObjective( "Grizelda in Wormwood" ) );
						
			//AddReward( new BaseReward( 1072806 ) ); // The boon of Bravehorn.
			AddReward( new BaseReward( typeof( AncientCauldronHint ), "A hint scroll" ) );
		}		
		
		/*public override void GiveRewards()
		{			
			base.GiveRewards();
			
			Owner.SendLocalizedMessage( 1074942, null, 0x23 ); // You have gained the boon of Bravehorn!  You have glimpsed the nobility of those that sacrifice themselves for their people.  You are one step closer to claiming your elven heritage.
		}*/
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
}